Bug 189086 - Firefox is not using extensions, confusing MIME types for others
Firefox is not using extensions, confusing MIME types for others
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2006-04-15 16:18 EDT by Mariano Suárez-Alvarez
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-18 20:11:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 6577 None None None Never

  None (edit)
Description Mariano Suárez-Alvarez 2006-04-15 16:18:58 EDT
Description of problem:

Firefox saves temporary files for external apps to handle without an extension,
and gnomevfs (and everything that uses that...) to mistakenly guess the mime
type is application/octet-stream.

How reproducible:


Steps to Reproduce:

Go to <http://arxiv.org/abs/math.CO/0409509>, and click on the PDF link.
Evince will pop up, and immediately complain that it does not know what to do
with application/octet-stream
Comment 1 Nicholas Miell 2006-04-19 16:53:46 EDT
Firefox isn't the problem.

The problem is that Evince has been lobotomized and requires GNOME VFS to
identify the file type for it before it'll open it.

GNOME VFS can't or won't identify PDF files without a .pdf extension, so they
get the default type of application/octet-stream and Evince chokes on the file.
Comment 2 Alex Lancaster 2006-06-08 05:44:11 EDT
This is a dupe of bug #193582 and/or bug #186241. 

As comment #1 suggests, file magic isn't being recognised by gnome-vfs at all
for *any* files (see bug #193582 comment #2).
Comment 3 Alex Lancaster 2006-06-23 04:02:42 EDT
Underlying cause appears to be: https://bugs.freedesktop.org/show_bug.cgi?id=6577
Comment 4 Mariano Suárez-Alvarez 2006-06-27 05:09:42 EDT
This seems to have been fixed in the last shared-mime-info update.
Comment 5 Matěj Cepl 2007-07-18 13:31:23 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 6 Mariano Suárez-Alvarez 2007-07-18 20:11:50 EDT
As I said a while ago,this got fixed by an update in the shared mime info db,

Note You need to log in before you can comment on or make changes to this bug.